### Hierarchy

- BaseModal
  - AlertModal

### Implements

- AfterViewInit

## Index

### Inputs

- open

### Outputs

- close

### Constructors

- constructor

### Properties

- buttons
- close
- content
- hasScrollingContent
- label
- modalContent
- onClose
- open
- showCloseButton
- size
- title
- type

### Methods

- buttonClicked
- closeModal
- dismissModal
- ngAfterViewInit

## Constructors

### constructor

- new AlertModal(type?: string, label: string, title: string, content: string, size: string, hasScrollingContent?: boolean, buttons?: any[], onClose: Function, showCloseButton?: boolean): AlertModal

- - Defined in src/modal/alert-modal.component.ts:81

  #### Parameters

  - ##### Default value type: string = "default"

  - ##### label: string

  - ##### title: string

  - ##### content: string

  - ##### size: string

  - ##### Default value hasScrollingContent: boolean = null

  - ##### Default value buttons: any[] = []

  - ##### onClose: Function

  - ##### Default value showCloseButton: boolean = true

  #### Returns AlertModal

## Properties

### buttons

@Optional()
@Inject({"token":"buttons"})
buttons: any[]

- Defined in src/modal/alert-modal.component.ts:92

### close

@Output()
close: EventEmitter<Object> = new EventEmitter()

Inherited from BaseModal.close

- Defined in src/modal/base-modal.class.ts:18

### content

@Optional()
@Inject({"token":"content"})
content: string

- Defined in src/modal/alert-modal.component.ts:89

### hasScrollingContent

@Optional()
@Inject({"token":"hasScrollingContent"})
hasScrollingContent: boolean

- Defined in src/modal/alert-modal.component.ts:91

### label

@Optional()
@Inject({"token":"label"})
label: string

- Defined in src/modal/alert-modal.component.ts:87

### modalContent

@ViewChild({"selector":"modalContent","opts":"{ static: true }"})
modalContent: any

- Defined in src/modal/alert-modal.component.ts:81

### onClose

@Optional()
@Inject({"token":"close"})
onClose: Function

- Defined in src/modal/alert-modal.component.ts:93

### open

@Input()
open: boolean = false

Inherited from BaseModal.open

- Defined in src/modal/base-modal.class.ts:23

### showCloseButton

@Optional()
@Inject({"token":"showCloseButton"})
showCloseButton: boolean

- Defined in src/modal/alert-modal.component.ts:94

### size

@Optional()
@Inject({"token":"size"})
size: string

- Defined in src/modal/alert-modal.component.ts:90

### title

@Optional()
@Inject({"token":"title"})
title: string

- Defined in src/modal/alert-modal.component.ts:88

### type

@Optional()
@Inject({"token":"type"})
type: string

- Defined in src/modal/alert-modal.component.ts:86

## Methods

### buttonClicked

- buttonClicked(buttonIndex: any): void

- - Defined in src/modal/alert-modal.component.ts:118

  #### Parameters

  - ##### buttonIndex: any

  #### Returns void

### closeModal

- closeModal(): void

- Inherited from BaseModal.closeModal

  - Defined in src/modal/base-modal.class.ts:28

  #### Returns void

### dismissModal

- dismissModal(trigger: any): void

- - Defined in src/modal/alert-modal.component.ts:127

  #### Parameters

  - ##### trigger: any

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): boolean

- - Defined in src/modal/alert-modal.component.ts:108

  #### Returns boolean

Generated using TypeDoc